# Common Error Codes

| Error Message                                                 | Error Code | Http Status Code |
| ------------------------------------------------------------- | ---------- | ---------------- |
| ACCESS\_KEY header is required                                | 40001      | 400              |
| ACCESS\_SIGN header is required                               | 40002      | 400              |
| ACCESS\_TIMESTAMP header is required                          | 40003      | 400              |
| Invalid ACCESS\_TIMESTAMP                                     | 40005      | 400              |
| Invalid ACCESS\_KEY                                           | 40006      | 400              |
| Invalid Content\_Type, please use the application/json format | 40007      | 400              |
| Request timestamp expired                                     | 40008      | 400              |
| API authentication failed                                     | 40009      | 400              |
| Request too frequently                                        | 429        | 429              |
| ACCESS\_PASSPHRASE header is required                         | 40011      | 400              |
| apikey/passphrase is incorrect                                | 40012      | 400              |
| User is frozen                                                | 40013      | 400              |
| Incorrect permissions                                         | 40014      | 400              |
| System error                                                  | 40015      | 400              |
| The user must bind a mobile phone or Google                   | 40016      | 400              |
| Parameter verification failed                                 | 40017      | 400              |
| Illegal ip request                                            | 40018      | 400              |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://weex-1.gitbook.io/en/futures-1/restapi/error-codes/common-error-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
